<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;

class MigrateData extends Command
{
    protected $signature = 'migrate:data';
    protected $description = 'Migra dados do banco de dados de origem para o banco de dados de destino';

    public function __construct()
    {
        parent::__construct();
    }

    public function handle()
    {
        $origem = DB::connection('origem');
        $destino = DB::connection('destino');

        $dados = $origem->table('objectives')->get();

        foreach ($dados as $dado) {
            // Verificar se o registro existe na tabela de destino
            $registroDestino = $destino->table('consumo_testes')
                ->where('id', $dado->id)
                ->first();

            if (!$registroDestino) {
                // Inserir novo registro se não existir
                $destino->table('consumo_testes')->insert([
                    'id' => $dado->id,
                    'objetivo' => $dado->objetivo
                ]);
                $this->info("Dados inseridos com sucesso para o id: {$dado->id}");
            } else {
                // Verificar se o registro precisa ser atualizado
                if ($registroDestino->objetivo !== $dado->objetivo) {
                    $destino->table('consumo_testes')
                        ->where('id', $dado->id)
                        ->update(['objetivo' => $dado->objetivo]);
                    $this->info("Dados atualizados com sucesso para o id: {$dado->id}");
                } else {
                    $this->info("Registro com o id {$dado->id} já existe e está atualizado na tabela de destino.");
                }
            }
        }

        $this->info('Migração de dados concluída.');
    }
}
