<!DOCTYPE html>
<html>
<head>
    <title>Leitura de Código de Barras</title>
    {{-- <script src="https://cdnjs.cloudflare.com/ajax/libs/quagga/1.0.0-beta.2/quagga.min.js"></script> --}}
</head>
<body>
    <div id="interactive" class="viewport"></div>
    <div id="result"></div>
    <script src="{{ asset('js/quagga.min.js')}}"></script>
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            Quagga.init({
                inputStream: {
                    name: "Live",
                    type: "LiveStream",
                    target: document.querySelector('#interactive')    // Or '#yourElement' (optional)
                },
                decoder: {
                    readers: ["code_128_reader"] // Você pode adicionar outros leitores aqui
                }
            }, function (err) {
                if (err) {
                    console.log(err);
                    return;
                }
                console.log("Initialization finished. Ready to start");
                Quagga.start();
            });

            Quagga.onDetected(function (data) {
                console.log(data.codeResult.code);
                document.getElementById('result').innerText = 'Código de Barras: ' + data.codeResult.code;

                // Enviar o código para o backend Laravel
                fetch('/barcode', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json',
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'  // Laravel CSRF token
                    },
                    body: JSON.stringify({ code: data.codeResult.code })
                })
                .then(response => response.json())
                .then(data => {
                    // Atualizar a view com a resposta do backend
                    document.getElementById('result').innerText = 'Código de Barras: ' + data.code;
                })
                .catch(error => console.error('Error:', error));
            });
        });
    </script>
   
</body>
</html>
