@extends('index')

@section('content')
    <form class="form" method="POST" action="{{ route('users.store') }}">
        @csrf
        <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
            <h1 class="h2">Criar novo Usuário</h1>
        </div>
<div class="row mb-3">
    

    <div class="col-5 mb-3">
        <label  class="form-label">Nome:</label>
        <input name="name" class="form-control @error('name') is-invalid @enderror" type="text"  value="{{old('name')}}" placeholder="">
        @if ($errors->has('name'))
        <div class="invalid-feedback">{{$errors->first('name')}}</div>
    @endif
      </div>
    
      <div class="col-5 mb-3">
        <label  class="form-label">Email:</label>
        <input name="email" class="form-control @error('email') is-invalid @enderror" type="text"  value="{{old('email')}}" placeholder="">
        @if ($errors->has('email'))
        <div class="invalid-feedback">{{$errors->first('email')}}</div>
    @endif
      </div>
    
    
            <div class="col-2 mb-3">
                <label class="form-label"> Tipo de Usuário</label>
                <select class="form-select" name="role_id">
                    <option selected>Clique para selecionar</option>
                    @foreach ($roles as $role)
                        <option value="{{ $role->id }}"> {{ $role->role}} </option>
                    @endforeach
    
                </select>
            </div>
    
</div>


        <button type="submit" class="btn btn-success">GRAVAR</button>
    </form>
@endsection
