<!DOCTYPE html>
<html>

<head>
    <title>Leitura de Código de Barras</title>
    
</head>

<body>
    <div id="interactive" class="viewport"></div>
    <div id="result"></div>
    <script src="<?php echo e(asset('js/quagga.min.js')); ?>"></script>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            (navigator as any).getUserMedia =
                (navigator as any).getUserMedia ||
                (navigator as any).webkitGetUserMedia ||
                (navigator as any).mozGetUserMedia ||
                (navigator as any).msGetUserMedia;

            if (navigator.getUserMedia && (window as any).MediaStreamTrack) {
                console.log(navigator.getUserMedia)
                return;
                (MediaStreamTrack as any).getSources((sources: SourceInfo[]) => {

                    this.videoSources = sources.filter((source: SourceInfo) => {
                        return source.kind === 'video';
                        // or source.facing === 'environment'
                    });
                    // console.log('got video sources', this.videoSources);

                    try {
                        const rearCameraDevice = this.videoSources.find((device: SourceInfo) => device
                            .facing === 'environment');
                        const anyCameraDevice = this.videoSources[0];
                        const constraints = {
                            video: {
                                mandatory: {
                                    sourceId: rearCameraDevice.id || anyCameraDevice.id
                                }
                                // these both not work with old constraints...it's new syntax
                                // deviceId: this.videoSources[0].id
                                // deviceId: { exact: this.videoSources[0].id }
                            }
                        };
                        navigator.getUserMedia( <
                            any > constraints,
                            this.successOldStream.bind(this),
                            this.errorOldStream.bind(this)
                        );
                    } catch (error) {
                        console.error(error);
                    }

                });
            } else {
                console.error('your browser not supported camera/media capturing')
            }
            Quagga.init({
                inputStream: {
                    name: "Live",
                    type: "LiveStream",
                    target: document.querySelector('#interactive') // Or '#yourElement' (optional)
                },
                decoder: {
                    readers: ["code_128_reader"] // Você pode adicionar outros leitores aqui
                }
            }, function(err) {
                if (err) {
                    console.log(err);
                    return;
                }
                console.log("Initialization finished. Ready to start");
                Quagga.start();
            });

            Quagga.onDetected(function(data) {
                console.log(data.codeResult.code);
                document.getElementById('result').innerText = 'Código de Barras: ' + data.codeResult.code;

                // Enviar o código para o backend Laravel
                fetch('/barcode', {
                        method: 'POST',
                        headers: {
                            'Content-Type': 'application/json',
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>' // Laravel CSRF token
                        },
                        body: JSON.stringify({
                            code: data.codeResult.code
                        })
                    })
                    .then(response => response.json())
                    .then(data => {
                        // Atualizar a view com a resposta do backend
                        document.getElementById('result').innerText = 'Código de Barras: ' + data.code;
                    })
                    .catch(error => console.error('Error:', error));
            });
        });
    </script>

</body>

</html>
<?php /**PATH D:\Funarte\Desenvolvimento\gestao_inventario\resources\views/pages/consumo-teste/leitor-codigo-barras.blade.php ENDPATH**/ ?>